Bug 78811 - up2date exits misteriosly when out of memory
up2date exits misteriosly when out of memory
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Red Hat Satellite QA List
Depends On:
  Show dependency treegraph
Reported: 2002-12-01 01:26 EST by alex kramarov
Modified: 2007-04-18 12:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-12-01 01:27:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description alex kramarov 2002-12-01 01:26:59 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET CLR 

Description of problem:
When running 

up2date -u glibc glibc-common glibc-devel

on a freshly installed machine, if i have only 32 MB of ram, up2date will 
exist after some time in the "checking dependencies" phase, with a misterios 
message :


Version-Release number of selected component (if applicable): using up2date 

How reproducible:

Steps to Reproduce:
1. install redhat on a machine with 32 MB of ram
2. run up2date -u glibc glibc-common glibc-devel (After registering with rhn 
of course)


Actual Results:  up2date exits with the message "terminated" during the 
depencency check

Expected Results:  up2date should display a clear message about not having 
enough memory to resolve the dependencies

Additional info:

I have discovered this while working with UML (user mode linux) - by default 
UML assigns only 32 MB of memory to each kernel instance. 

I have arrived to a conclusion that this is a low memory problem after i tried 
to run :

up2date -ud glibc glibc-common glibc-devel 

and got a message "unable to allocate memory". adding additional 100MB swap 
solved the problem
Comment 1 Adrian Likins 2002-12-02 12:09:20 EST
Well, it sounds like the Out Of Memory killer killed the process off,
implying that the system itself ran out of memory, and the kernel
killed off up2date to free up memory.

Since running under UML isnt really supported, (not to mention
the hardware reqs for 7.3 gui is 64megs + big swap), I'm closing
this as not a bug. I don't think it's really worth trying to
have up2date attempt to outsmart the kernels vm to prevent
this kind of OOM kill.

Note You need to log in before you can comment on or make changes to this bug.